package com.diagbot.service.impl;

import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.mapper.HospitalInfoMapper;
import com.diagbot.service.HospitalInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.HospitalInfoVO;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 医院信息表 服务实现类
 * </p>
 *
 * @author rengb
 * @since 2018-11-19
 */
@Service
public class HospitalInfoServiceImpl extends ServiceImpl<HospitalInfoMapper, HospitalInfo> implements HospitalInfoService {

    @Override
    public List<HospitalInfoDTO> getHospitalInfos(HospitalInfoVO hospitalInfoVO) {
        if(StringUtils.isNotEmpty(hospitalInfoVO.getNotIds())) {
            hospitalInfoVO.setNotIdsArr(hospitalInfoVO.getNotIds().split(","));
        }
        return baseMapper.getHospitalInfos(hospitalInfoVO);
    }
}
