package com.diagbot.web;

import com.diagbot.dto.IntroduceDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.HospitalInfoFacade;
import com.diagbot.vo.HospitalInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:41
 */
@RestController
@RequestMapping("/deptInfo")
@Api(value = "医院信息API", tags = { "医院信息API" })
public class HospitalInfoController {

    @Autowired
    private HospitalInfoFacade hospitalInfoFacade;

    @ApiOperation(value = "根据标签id获取提示信息[by:wangyu]",
            notes = "id: 医院id<br>" +
                    "code：医院编码<br>" +
                    "name：医院名称<br>" +
                    "spell：医院拼音<br>" +
                    "status：状态：0.禁用1.启用<br>")
    @PostMapping("/getHospitalInfo")
    public RespDTO<IntroduceDTO> getHospitalInfo(@RequestBody @Valid HospitalInfoVO hospitalInfoVO) {
        return RespDTO.onSuc( hospitalInfoFacade.getHospitalInfo(hospitalInfoVO));
    }
}
